GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
OGRAbstractProxiedLayer Class Referenceabstract
Inheritance diagram for OGRAbstractProxiedLayer:

## Public Member Functions
| OGRAbstractProxiedLayer (OGRLayerPool *poPool)
Public Member Functions inherited from OGRLayer
virtual OGRGeometry * | GetSpatialFilter ()
| This method returns the current spatial filter for this layer. More...
virtual void | SetSpatialFilter (OGRGeometry *)
| Set a new spatial filter. More...
virtual void | SetSpatialFilterRect (double dfMinX, double dfMinY, double dfMaxX, double dfMaxY)
| Set a new rectangular spatial filter. More...
virtual void | SetSpatialFilter (int iGeomField, OGRGeometry *)
| Set a new spatial filter. More...
virtual void | SetSpatialFilterRect (int iGeomField, double dfMinX, double dfMinY, double dfMaxX, double dfMaxY)
| Set a new rectangular spatial filter. More...
virtual OGRErr | SetAttributeFilter (const char *)
| Set a new attribute query. More...
virtual void | ResetReading ()=0
| Reset feature reading to start on the first feature. More...
virtual OGRFeature * | GetNextFeature () CPL_WARN_UNUSED_RESULT=0
| Fetch the next available feature from this layer. More...
virtual OGRErr | SetNextByIndex (GIntBig nIndex)
| Move read cursor to the nIndex'th feature in the current resultset. More...
virtual OGRFeature * | GetFeature (GIntBig nFID) CPL_WARN_UNUSED_RESULT
| Fetch a feature by its identifier. More...
OGRErr | SetFeature (OGRFeature *poFeature) CPL_WARN_UNUSED_RESULT
| Rewrite an existing feature. More...
OGRErr | CreateFeature (OGRFeature *poFeature) CPL_WARN_UNUSED_RESULT
| Create and write a new feature within a layer. More...
virtual OGRErr | DeleteFeature (GIntBig nFID) CPL_WARN_UNUSED_RESULT
| Delete feature from layer. More...
virtual const char * | GetName ()
| Return the layer name. More...
virtual OGRwkbGeometryType | GetGeomType ()
| Return the layer geometry type. More...
virtual OGRFeatureDefn * | GetLayerDefn ()=0
| Fetch the schema information for this layer. More...
virtual int | FindFieldIndex (const char *pszFieldName, int bExactMatch)
| Find the index of field in the layer. More...
virtual OGRSpatialReference * | GetSpatialRef ()
| Fetch the spatial reference system for this layer. More...
virtual GIntBig | GetFeatureCount (int bForce=TRUE)
| Fetch the feature count in this layer. More...
virtual OGRErr | GetExtent (OGREnvelope *psExtent, int bForce=TRUE) CPL_WARN_UNUSED_RESULT
| Fetch the extent of this layer. More...
virtual OGRErr | GetExtent (int iGeomField, OGREnvelope *psExtent, int bForce=TRUE) CPL_WARN_UNUSED_RESULT
| Fetch the extent of this layer, on the specified geometry field. More...
virtual int | TestCapability (const char *)=0
| Test if this layer supported the named capability. More...
virtual OGRErr | CreateField (OGRFieldDefn *poField, int bApproxOK=TRUE)
| Create a new field on a layer. More...
virtual OGRErr | DeleteField (int iField)
| Delete an existing field on a layer. More...
virtual OGRErr | ReorderFields (int *panMap)
| Reorder all the fields of a layer. More...
virtual OGRErr | AlterFieldDefn (int iField, OGRFieldDefn *poNewFieldDefn, int nFlagsIn)
| Alter the definition of an existing field on a layer. More...
virtual OGRErr | CreateGeomField (OGRGeomFieldDefn *poField, int bApproxOK=TRUE)
| Create a new geometry field on a layer. More...
virtual OGRErr | SyncToDisk ()
| Flush pending changes to disk. More...
virtual OGRStyleTable * | GetStyleTable ()
| Returns layer style table. More...
virtual void | SetStyleTableDirectly (OGRStyleTable *poStyleTable)
| Set layer style table. More...
virtual void | SetStyleTable (OGRStyleTable *poStyleTable)
| Set layer style table. More...
virtual OGRErr | StartTransaction () CPL_WARN_UNUSED_RESULT
virtual OGRErr | CommitTransaction () CPL_WARN_UNUSED_RESULT
virtual OGRErr | RollbackTransaction ()
virtual const char * | GetFIDColumn ()
| This method returns the name of the underlying database column being used as the FID column, or "" if not supported. More...
virtual const char * | GetGeometryColumn ()
| This method returns the name of the underlying database column being used as the geometry column, or "" if not supported. More...
virtual OGRErr | SetIgnoredFields (const char **papszFields)
| Set which fields can be omitted when retrieving features from the layer. More...
OGRErr | Intersection (OGRLayer *pLayerMethod, OGRLayer *pLayerResult, char **papszOptions=NULL, GDALProgressFunc pfnProgress=NULL, void *pProgressArg=NULL)
| Intersection of two layers. More...
OGRErr | Union (OGRLayer *pLayerMethod, OGRLayer *pLayerResult, char **papszOptions=NULL, GDALProgressFunc pfnProgress=NULL, void *pProgressArg=NULL)
| Union of two layers. More...
OGRErr | SymDifference (OGRLayer *pLayerMethod, OGRLayer *pLayerResult, char **papszOptions, GDALProgressFunc pfnProgress, void *pProgressArg)
| Symmetrical difference of two layers. More...
OGRErr | Identity (OGRLayer *pLayerMethod, OGRLayer *pLayerResult, char **papszOptions=NULL, GDALProgressFunc pfnProgress=NULL, void *pProgressArg=NULL)
| Identify the features of this layer with the ones from the identity layer. More...
OGRErr | Update (OGRLayer *pLayerMethod, OGRLayer *pLayerResult, char **papszOptions=NULL, GDALProgressFunc pfnProgress=NULL, void *pProgressArg=NULL)
| Update this layer with features from the update layer. More...
OGRErr | Clip (OGRLayer *pLayerMethod, OGRLayer *pLayerResult, char **papszOptions=NULL, GDALProgressFunc pfnProgress=NULL, void *pProgressArg=NULL)
| Clip off areas that are not covered by the method layer. More...
OGRErr | Erase (OGRLayer *pLayerMethod, OGRLayer *pLayerResult, char **papszOptions=NULL, GDALProgressFunc pfnProgress=NULL, void *pProgressArg=NULL)
| Remove areas that are covered by the method layer. More...
int | Reference ()
| Increment layer reference count. More...
int | Dereference ()
| Decrement layer reference count. More...
int | GetRefCount () const
| Fetch reference count. More...
GIntBig | GetFeaturesRead ()
OGRErr | ReorderField (int iOldFieldPos, int iNewFieldPos)
| Reorder an existing field on a layer. More...
int | AttributeFilterEvaluationNeedsGeometry ()
OGRErr | InitializeIndexSupport (const char *)
OGRLayerAttrIndex * | GetIndex ()
Public Member Functions inherited from GDALMajorObject
int | GetMOFlags () const
void | SetMOFlags (int nFlagsIn)
virtual const char * | GetDescription () const
| Fetch object description. More...
virtual void | SetDescription (const char *)
| Set object description. More...
virtual char ** | GetMetadataDomainList ()
| Fetch list of metadata domains. More...
virtual char ** | GetMetadata (const char *pszDomain="")
| Fetch metadata. More...
virtual CPLErr | SetMetadata (char **papszMetadata, const char *pszDomain="")
| Set metadata. More...
virtual const char * | GetMetadataItem (const char *pszName, const char *pszDomain="")
| Fetch single metadata item. More...
virtual CPLErr | SetMetadataItem (const char *pszName, const char *pszValue, const char *pszDomain="")
| Set single metadata item. More...

## Protected Member Functions
virtual void | CloseUnderlyingLayer ()=0
Protected Member Functions inherited from OGRLayer
int | FilterGeometry (OGRGeometry *)
int | InstallFilter (OGRGeometry *)
OGRErr | GetExtentInternal (int iGeomField, OGREnvelope *psExtent, int bForce)
virtual OGRErr | ISetFeature (OGRFeature *poFeature) CPL_WARN_UNUSED_RESULT
| Rewrite an existing feature. More...
virtual OGRErr | ICreateFeature (OGRFeature *poFeature) CPL_WARN_UNUSED_RESULT
| Create and write a new feature within a layer. More...
Protected Member Functions inherited from GDALMajorObject
char ** | BuildMetadataDomainList (char **papszList, int bCheckNonEmpty,...) CPL_NULL_TERMINATED
| Helper function for custom implementations of GetMetadataDomainList() More...

## Protected Attributes
OGRLayerPool * | poPool
Protected Attributes inherited from OGRLayer
int | m_bFilterIsEnvelope
OGRGeometry * | m_poFilterGeom
OGRPreparedGeometry * | m_pPreparedFilterGeom
OGREnvelope | m_sFilterEnvelope
int | m_iGeomFieldFilter
OGRStyleTable * | m_poStyleTable
OGRFeatureQuery * | m_poAttrQuery
char * | m_pszAttrQueryString
OGRLayerAttrIndex * | m_poAttrIndex
int | m_nRefCount
GIntBig | m_nFeaturesRead
Protected Attributes inherited from GDALMajorObject
int | nFlags
CPLString | sDescription
GDALMultiDomainMetadata | oMDMD

## Friends
class | OGRLayerPool

The documentation for this class was generated from the following files:

- ogrlayerpool.h
- ogrlayerpool.cpp

Generated for GDAL by 1.8.8.